TimelineMetricOperation (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.records.timelineservice, enum: TimelineMetricOperation

Package org.apache.hadoop.yarn.api.records.timelineservice

# Enum Class TimelineMetricOperation

java.lang.Object
java.lang.Enum<TimelineMetricOperation>
org.apache.hadoop.yarn.api.records.timelineservice.TimelineMetricOperation

All Implemented Interfaces:
  `Serializable`, `Comparable<TimelineMetricOperation>`, `Constable`

public enum TimelineMetricOperation extends Enum<TimelineMetricOperation>
Aggregation operations.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AVG`
  `MAX`
  `NOP`
  `REPLACE`
  `SUM`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `PREV_METRIC_STATE_KEY`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TimelineMetric`
  `aggregate(TimelineMetric incoming, TimelineMetric aggregate, Map<Object,Object> state)`
  Perform the aggregation operation.
  `String`
  `toString()`
  `static TimelineMetricOperation`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TimelineMetricOperation[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NOP

    public static final TimelineMetricOperation NOP

  - ### MAX

    public static final TimelineMetricOperation MAX

  - ### REPLACE

    public static final TimelineMetricOperation REPLACE

  - ### SUM

    public static final TimelineMetricOperation SUM

  - ### AVG

    public static final TimelineMetricOperation AVG

- ## Field Details

  - ### PREV_METRIC_STATE_KEY

    public static final String PREV_METRIC_STATE_KEY
    See Also:
      - Constant Field Values

- ## Method Details

  - ### values

    public static TimelineMetricOperation[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TimelineMetricOperation valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### aggregate

    public TimelineMetric aggregate(TimelineMetric incoming, TimelineMetric aggregate, Map<Object,Object> state)
    Perform the aggregation operation.
    Parameters:
      `incoming` - Incoming metric
      `aggregate` - Base aggregation metric
      `state` - Operation state
    Returns:
      Result metric for this aggregation operation

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<TimelineMetricOperation>`